## gimpfontselect

gimpfontselect — Functions providing a font selection dialog.

## Functions

void | (*GimpRunFontCallback) ()
const gchar * | gimp_font_select_new ()
void | gimp_font_select_destroy ()
gboolean | gimp_fonts_popup ()
gboolean | gimp_fonts_close_popup ()
gboolean | gimp_fonts_set_popup ()

## Description

Functions providing a font selection dialog.

## Functions

### GimpRunFontCallback ()

    void
    (*GimpRunFontCallback) (const gchar *font_name,
                            gboolean dialog_closing,
                            gpointer user_data);

### gimp_font_select_new ()

    const gchar *
    gimp_font_select_new (const gchar *title,
                          const gchar *font_name,
                          GimpRunFontCallback callback,
                          gpointer data);

### gimp_font_select_destroy ()

    void
    gimp_font_select_destroy (const gchar *font_callback);

### gimp_fonts_popup ()

    gboolean
    gimp_fonts_popup (const gchar *font_callback,
                      const gchar *popup_title,
                      const gchar *initial_font);

Invokes the Gimp font selection.

This procedure opens the font selection dialog.

#### Parameters

font_callback | The callback PDB proc to call when font selection is made. |
popup_title | Title of the font selection dialog. |
initial_font | The name of the font to set as the first selected. |

#### Returns

TRUE on success.

### gimp_fonts_close_popup ()

    gboolean
    gimp_fonts_close_popup (const gchar *font_callback);

Close the font selection dialog.

This procedure closes an opened font selection dialog.

#### Parameters

font_callback | The name of the callback registered for this pop-up. |

#### Returns

TRUE on success.

### gimp_fonts_set_popup ()

    gboolean
    gimp_fonts_set_popup (const gchar *font_callback,
                          const gchar *font_name);

Sets the current font in a font selection dialog.

Sets the current font in a font selection dialog.

#### Parameters

font_callback | The name of the callback registered for this pop-up. |
font_name | The name of the font to set as selected. |

#### Returns

TRUE on success.

## Types and Values